/*
 *  TrMovieMaker.h
 *  TrMovieMaker
 *
 *  Created by weesh on Mon Feb 11 2002.
 *  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
 *
 */
#ifndef __TRMOVIEMAKER_H__
#define __TRMOVIEMAKER_H__
#include <Carbon/Carbon.h>
#include <Trinity/Trinity.h>
#include <QuickTime/Movies.h>
#include <QuickTime/QuickTimeComponents.h>
#include <CoreAudio/CoreAudio.h>
#include <CoreAudio/AudioHardware.h>
#include <CoreAudio/CoreAudioTypes.h>
#include <AudioUnit/AudioUnit.h>
#include <AudioUnit/AudioUnitProperties.h>
#include <AudioToolbox/AudioConverter.h>
#include <AudioToolbox/DefaultAudioOutput.h>
#ifdef __cplusplus
extern "C" {
#endif
	bool StartRecording(UInt16 videoWidth, UInt16 videoHeight, ImageDescriptionHandle desc,
					 TRPipeRef pipeRef, FSSpecPtr location, FSSpecPtr scratch, AudioStreamBasicDescription *audioFormat);
	bool StartRecording2(UInt16 videoWidth, UInt16 videoHeight, ImageDescriptionHandle desc,
					 TRPipeRef pipeRef, FSSpecPtr location, AudioStreamBasicDescription *audioFormat, char *moviePrefix);
    bool StartRecording3(UInt16 videoWidth, UInt16 videoHeight, ImageDescriptionHandle desc,
                         TRPipeRef pipeRef, FSSpecPtr location, AudioStreamBasicDescription *audioFormat,
                         char *moviePrefix, UInt8 *returnedPath, int returnedPathSize);
    bool StopRecording();
	bool IsRecording();
	void AddSampleToAudioTrack(void *inputBuffer,  UInt32 inputBufferSize,const AudioTimeStamp* inInputTime);
	short MovieProgress();
	bool MovieProcessing();
	QTAtomContainer GetExportSettings();
	void SetExportSettings(QTAtomContainer newSettings);
	OSErr SetupExportSettings();
	void ClearExportSettings();
	bool GetFlattenSetting();
	void SetFlattenSetting(bool newSetting);
    void SetLastDecompErr(OSErr err);
#ifdef __cplusplus
}
#endif

#endif
